Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 597409 - Review Request: php-channel-deepend - Survive The Deep End PEAR Channel
Review Request: php-channel-deepend - Survive The Deep End PEAR Channel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 597410
  Show dependency treegraph
 
Reported: 2010-05-28 16:45 EDT by Christof Damian
Modified: 2010-07-16 14:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-channel-deepend-1.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 14:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christof Damian 2010-05-28 16:45:15 EDT
Spec URL: http://rpms.damian.net/SPECS/php-channel-deepend.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-deepend-1.3-1.fc12.src.rpm
Description: Survive The Deep End PEAR Channel
Comment 1 Remi Collet 2010-07-11 12:00:27 EDT
REVIEW
* no source files (channel.xml match latest upstream)
* package meets naming 
* package must meet packaging guidelines
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (of the packages provided by the
channel).
* license is open source-compatible (BSD).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (F-13).
* package installs properly
* channel (un)registered properly
* rpmlint (warnings are ok) :
$ rpmlint -v php-channel-deepend.spec /home/extras/SRPMS/php-channel-deepend-1.3-1.fc13.src.rpm /home/extras/RPMS/noarch/php-channel-deepend-1.3-1.fc13.noarch.rpm
php-channel-deepend.spec: I: checking-url http://pear.survivethedeepend.com/channel.xml (timeout 10 seconds)
php-channel-deepend.src: I: checking
php-channel-deepend.src: I: checking-url http://www.survivethedeepend.com/ (timeout 10 seconds)
php-channel-deepend.src: I: checking-url http://pear.survivethedeepend.com/channel.xml (timeout 10 seconds)
php-channel-deepend.noarch: I: checking
php-channel-deepend.noarch: I: checking-url http://www.survivethedeepend.com/ (timeout 10 seconds)
php-channel-deepend.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
* final provides are sane:
php-channel(pear.survivethedeepend.com) = 1.3
php-channel-deepend = 1.3-1.fc13
+ final requires
/usr/bin/pear  
php-pear(PEAR)  
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 
* %install start with rm
* %clean ok


Just a note, As I hate wilcards in %file, I will prefer
%{pear_xmldir}/%{name}.xml

*** APPROVED ***
Comment 2 Christof Damian 2010-07-14 13:01:04 EDT
(In reply to comment #1)
> Just a note, As I hate wilcards in %file, I will prefer
> %{pear_xmldir}/%{name}.xml
> 
> *** APPROVED ***    

Thanks. I keep that in mind for the first update.

New Package CVS Request
=======================
Package Name: php-channel-deepend
Short Description: Survive The Deep End PEAR Channel
Owners: cdamian
Branches: F-13 EL-6
InitialCC:
Comment 3 Kevin Fenzi 2010-07-15 01:28:36 EDT
CVS done (by process-cvs-requests.py).
Comment 4 Fedora Update System 2010-07-15 13:11:23 EDT
php-channel-deepend-1.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-channel-deepend-1.3-2.fc13
Comment 5 Fedora Update System 2010-07-15 17:06:14 EDT
php-channel-deepend-1.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-channel-deepend'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-channel-deepend-1.3-2.fc13
Comment 6 Fedora Update System 2010-07-16 14:51:23 EDT
php-channel-deepend-1.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.